Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qiml
Class ElementDefinition

    java.lang.Object
      |
      +--com.jxml.quick.model.qiml.ElementDefinition

public class ElementDefinition
extends Object

ElementDefinition - elementDefinition: Defines an XML element (or an XML attribute, or an attribute list), and a mapping to an instance of a Java class. The target held by elementDefinition defines both the processing of the XML element's text content (or the XML attribute's value) and how the object is constructed. The elementDefinition's held by elementDefinition (or referenced via a link) are the subclasses. Subclass elements can occur within an XML document anywhere the parent element can occur. And when an element can be used as a root, so too can its subclasses. The children (childSelection, childSequence, childElement) held by elementDefinition define the element content of the element. The first child of an element is always the list of attributes. (Attributes have no element content.) (The children of an attribute list are the attributes.)

Field Summary
`protected boolean` | `bimodal_6` The bimodal attribute indicates that the element is bimodal.
`protected boolean` | `cdata_10` The cdata indicates that the element content should be expressed as CDATA.
`protected boolean` | `conditional_9` The conditional attribute controls the expression of an XML element (or an XML idref attribute).
`protected ArrayList` | `contentModel_14` list of ContentModel
`protected ArrayList` | `derivedCoins_13`
`protected boolean` | `isIdRef_8` The isIdRef indicates that the attribute is an idref.
`protected ArrayList` | `rem_11` list of Rem
`protected String` | `tagName_4` The tagName gives the name of an XML element (or attribute).
`protected Target` | `target_12`
`protected boolean` | `wild_5` The wild attribute indicates that the tagName of the XML element (or attribute) is not fixed, and that the object itself holds the tagName.

Constructor Summary
`ElementDefinition()`
`ElementDefinition(boolean bimodal_6, boolean cdata_10, boolean conditional_9, boolean isIdRef_8, String tagName_4, boolean wild_5, ArrayList rem_11, Target target_12, ArrayList derivedCoins_13, ArrayList contentModel_14)` full constructor
`ElementDefinition(Target target_12)` minimum constructor

Method Summary
`void` | `addContentModel(ContentModel contentModel)`
`void` | `addElementDefinition(ElementDefinition elementDefinition)`
`void` | `addRem(Rem rem)`
`int` | `contentModelCount()`
`boolean` | `getBimodal_6()` The bimodal attribute indicates that the element is bimodal.
`boolean` | `getCdata_10()` The cdata indicates that the element content should be expressed as CDATA.
`boolean` | `getConditional_9()` The conditional attribute controls the expression of an XML element (or an XML idref attribute).
`ArrayList` | `getContentModel_14()` list of ContentModel
`ContentModel` | `getContentModel(int i)`
`ArrayList` | `getDerivedCoins_13()`
`boolean` | `getIsIdRef_8()` The isIdRef indicates that the attribute is an idref.
`ArrayList` | `getRem_11()` list of Rem
`Rem` | `getRem(int i)`
`String` | `getTagName_4()` The tagName gives the name of an XML element (or attribute).
`Target` | `getTarget_12()`
`boolean` | `getWild_5()` The wild attribute indicates that the tagName of the XML element (or attribute) is not fixed, and that the object itself holds the tagName.
`int` | `remCount()`
`void` | `setBimodal_6(boolean bimodal_6)` The bimodal attribute indicates that the element is bimodal.
`void` | `setCdata_10(boolean cdata_10)` The cdata indicates that the element content should be expressed as CDATA.
`void` | `setConditional_9(boolean conditional_9)` The conditional attribute controls the expression of an XML element (or an XML idref attribute).
`void` | `setContentModel_14(ArrayList contentModel_14)` list of ContentModel
`void` | `setContentModel(int i, ContentModel contentModel)`
`void` | `setDerivedCoins_13(ArrayList derivedCoins_13)`
`void` | `setIsIdRef_8(boolean isIdRef_8)` The isIdRef indicates that the attribute is an idref.
`void` | `setRem_11(ArrayList rem_11)` list of Rem
`void` | `setRem(int i, Rem rem)`
`void` | `setTagName_4(String tagName_4)` The tagName gives the name of an XML element (or attribute).
`void` | `setTarget_12(Target target_12)`
`void` | `setWild_5(boolean wild_5)` The wild attribute indicates that the tagName of the XML element (or attribute) is not fixed, and that the object itself holds the tagName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bimodal_6

    protected boolean bimodal_6

  The bimodal attribute indicates that the element is bimodal.

### cdata_10

    protected boolean cdata_10

  The cdata indicates that the element content should be expressed as CDATA.

### conditional_9

    protected boolean conditional_9

  The conditional attribute controls the expression of an XML element (or an XML idref attribute). Use conditional only when dealing with recursive data structures (like QIML). When true, an element is not expressed if it has already been expressed within a document, (and an idref attribute will only be expressed if the referenced element has already been expressed).

### isIdRef_8

    protected boolean isIdRef_8

  The isIdRef indicates that the attribute is an idref.

### tagName_4

    protected String tagName_4

  The tagName gives the name of an XML element (or attribute). There is no requirement that the tagName be unique. (This allows each XML element to effectively define its own namespace.)

### wild_5

    protected boolean wild_5

  The wild attribute indicates that the tagName of the XML element (or attribute) is not fixed, and that the object itself holds the tagName.

### rem_11

    protected ArrayList rem_11

  list of Rem

### target_12

    protected Target target_12

### derivedCoins_13

    protected ArrayList derivedCoins_13

### contentModel_14

    protected ArrayList contentModel_14

  list of ContentModel

Constructor Detail

### ElementDefinition

    public ElementDefinition()

### ElementDefinition

    public ElementDefinition(boolean bimodal_6,
                             boolean cdata_10,
                             boolean conditional_9,
                             boolean isIdRef_8,
                             String tagName_4,
                             boolean wild_5,
                             ArrayList rem_11,
                             Target target_12,
                             ArrayList derivedCoins_13,
                             ArrayList contentModel_14)

  full constructor

### ElementDefinition

    public ElementDefinition(Target target_12)

  minimum constructor

Method Detail

### getBimodal_6

    public boolean getBimodal_6()

  The bimodal attribute indicates that the element is bimodal.

### setBimodal_6

    public void setBimodal_6(boolean bimodal_6)

  The bimodal attribute indicates that the element is bimodal.

### getCdata_10

    public boolean getCdata_10()

  The cdata indicates that the element content should be expressed as CDATA.

### setCdata_10

    public void setCdata_10(boolean cdata_10)

  The cdata indicates that the element content should be expressed as CDATA.

### getConditional_9

    public boolean getConditional_9()

  The conditional attribute controls the expression of an XML element (or an XML idref attribute). Use conditional only when dealing with recursive data structures (like QIML). When true, an element is not expressed if it has already been expressed within a document, (and an idref attribute will only be expressed if the referenced element has already been expressed).

### setConditional_9

    public void setConditional_9(boolean conditional_9)

  The conditional attribute controls the expression of an XML element (or an XML idref attribute). Use conditional only when dealing with recursive data structures (like QIML). When true, an element is not expressed if it has already been expressed within a document, (and an idref attribute will only be expressed if the referenced element has already been expressed).

### getIsIdRef_8

    public boolean getIsIdRef_8()

  The isIdRef indicates that the attribute is an idref.

### setIsIdRef_8

    public void setIsIdRef_8(boolean isIdRef_8)

  The isIdRef indicates that the attribute is an idref.

### getTagName_4

    public String getTagName_4()

  The tagName gives the name of an XML element (or attribute). There is no requirement that the tagName be unique. (This allows each XML element to effectively define its own namespace.)

### setTagName_4

    public void setTagName_4(String tagName_4)

  The tagName gives the name of an XML element (or attribute). There is no requirement that the tagName be unique. (This allows each XML element to effectively define its own namespace.)

### getWild_5

    public boolean getWild_5()

  The wild attribute indicates that the tagName of the XML element (or attribute) is not fixed, and that the object itself holds the tagName.

### setWild_5

    public void setWild_5(boolean wild_5)

  The wild attribute indicates that the tagName of the XML element (or attribute) is not fixed, and that the object itself holds the tagName.

### getRem_11

    public ArrayList getRem_11()

  list of Rem

### setRem_11

    public void setRem_11(ArrayList rem_11)

  list of Rem

### getRem

    public Rem getRem(int i)

### setRem

    public void setRem(int i,
                       Rem rem)

### remCount

    public int remCount()

### addRem

    public void addRem(Rem rem)

### getTarget_12

    public Target getTarget_12()

### setTarget_12

    public void setTarget_12(Target target_12)

### getDerivedCoins_13

    public ArrayList getDerivedCoins_13()

### setDerivedCoins_13

    public void setDerivedCoins_13(ArrayList derivedCoins_13)

### addElementDefinition

    public void addElementDefinition(ElementDefinition elementDefinition)

### getContentModel_14

    public ArrayList getContentModel_14()

  list of ContentModel

### setContentModel_14

    public void setContentModel_14(ArrayList contentModel_14)

  list of ContentModel

### getContentModel

    public ContentModel getContentModel(int i)

### setContentModel

    public void setContentModel(int i,
                                ContentModel contentModel)

### contentModelCount

    public int contentModelCount()

### addContentModel

    public void addContentModel(ContentModel contentModel)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD